[
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app": "poc-bff",
        "k8s:io.kubernetes.pod.namespace": "my-system"
      }
    },
    "ingress": [
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "http": [
                {
                  "path": "/bff/todo",
                  "method": "GET",
                  "headers": [
                    "x-roles: kkk"
                  ]
                }
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "ms-rule-l7",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "my-system",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "b033e19c-5d1a-43c0-acd4-dd748c4f5e69",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "observability"
      }
    },
    "ingress": [
      {
        "fromEntities": [
          "cluster"
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "observability"
            }
          }
        ]
      }
    ],
    "egress": [
      {
        "toFQDNs": [
          {
            "matchPattern": "*.grafana.net"
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "observability"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "kube-system",
              "any:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "ANY"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "observability-rule",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "observability",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1b536069-bf09-48af-9e66-afa07f854de0",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app": "poc-bff",
        "k8s:io.kubernetes.pod.namespace": "services"
      }
    },
    "ingress": [
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "http": [
                {}
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "bff-rule-l7",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "services",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "2c08cf01-7977-45be-a2af-5837b5107397",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app": "poc-microservice",
        "k8s:io.kubernetes.pod.namespace": "services"
      }
    },
    "ingress": [
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "http": [
                {}
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "ms-rule-l7",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "services",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "da608d1b-5114-41e6-9522-f49bf4b3ac0e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app": "poc-bff",
        "k8s:io.kubernetes.pod.namespace": "services"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "envoy-gateway-system"
            }
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "services"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "kube-system",
              "any:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "ANY"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "observability"
            }
          }
        ]
      },
      {
        "toFQDNs": [
          {
            "matchPattern": "*.sandbox.whitelabel.com.br"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "bff-rule",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "services",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1a450bf5-0483-4ad5-9cfd-10cf9c5b8da5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app": "poc-microservice",
        "k8s:io.kubernetes.pod.namespace": "services"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "services"
            }
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "services"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "kube-system",
              "any:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "ANY"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:io.kubernetes.pod.namespace": "observability"
            }
          }
        ]
      },
      {
        "toFQDNs": [
          {
            "matchPattern": "*.sandbox.whitelabel.com.br"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "ms-rule",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "services",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a3c6acb8-e88f-4883-bd48-132b0b36b50d",
        "source": "k8s"
      }
    ]
  }
]
Revision: 15
